// Code generated by mockery v2.9.4. DO NOT EDIT.

package datamock

import (
	context "context"

	mock "github.com/stretchr/testify/mock"
	data "gitlab.com/my-group322/pictures/auth-svc/internal/data"
)

// AccountsQ is an autogenerated mock type for the AccountsQ type
type AccountsQ struct {
	mock.Mock
}

// Create provides a mock function with given fields: ctx, account
func (_m *AccountsQ) Create(ctx context.Context, account *data.Account) (string, error) {
	ret := _m.Called(ctx, account)

	var r0 string
	if rf, ok := ret.Get(0).(func(context.Context, *data.Account) string); ok {
		r0 = rf(ctx, account)
	} else {
		r0 = ret.Get(0).(string)
	}

	var r1 error
	if rf, ok := ret.Get(1).(func(context.Context, *data.Account) error); ok {
		r1 = rf(ctx, account)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// CreateVerificationToken provides a mock function with given fields: token
func (_m *AccountsQ) CreateVerificationToken(token *data.VerificationToken) error {
	ret := _m.Called(token)

	var r0 error
	if rf, ok := ret.Get(0).(func(*data.VerificationToken) error); ok {
		r0 = rf(token)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}

// DeleteRecoveryToken provides a mock function with given fields: token
func (_m *AccountsQ) DeleteRecoveryToken(token *data.RecoveryToken) error {
	ret := _m.Called(token)

	var r0 error
	if rf, ok := ret.Get(0).(func(*data.RecoveryToken) error); ok {
		r0 = rf(token)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}

// DeleteVerificationToken provides a mock function with given fields: token
func (_m *AccountsQ) DeleteVerificationToken(token *data.VerificationToken) error {
	ret := _m.Called(token)

	var r0 error
	if rf, ok := ret.Get(0).(func(*data.VerificationToken) error); ok {
		r0 = rf(token)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}

// GetByEmail provides a mock function with given fields: ctx, email
func (_m *AccountsQ) GetByEmail(ctx context.Context, email string) (*data.Account, error) {
	ret := _m.Called(ctx, email)

	var r0 *data.Account
	if rf, ok := ret.Get(0).(func(context.Context, string) *data.Account); ok {
		r0 = rf(ctx, email)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*data.Account)
		}
	}

	var r1 error
	if rf, ok := ret.Get(1).(func(context.Context, string) error); ok {
		r1 = rf(ctx, email)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// GetByID provides a mock function with given fields: id
func (_m *AccountsQ) GetByID(id string) (*data.Account, error) {
	ret := _m.Called(id)

	var r0 *data.Account
	if rf, ok := ret.Get(0).(func(string) *data.Account); ok {
		r0 = rf(id)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*data.Account)
		}
	}

	var r1 error
	if rf, ok := ret.Get(1).(func(string) error); ok {
		r1 = rf(id)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// Transaction provides a mock function with given fields: ctx, fn
func (_m *AccountsQ) Transaction(ctx context.Context, fn func(data.AccountsQ) error) error {
	ret := _m.Called(ctx, fn)

	var r0 error
	if rf, ok := ret.Get(0).(func(context.Context, func(data.AccountsQ) error) error); ok {
		r0 = rf(ctx, fn)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}

// UpdatePassword provides a mock function with given fields: email, password
func (_m *AccountsQ) UpdatePassword(email string, password string) error {
	ret := _m.Called(email, password)

	var r0 error
	if rf, ok := ret.Get(0).(func(string, string) error); ok {
		r0 = rf(email, password)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}
